Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisOperationFactory

    java.lang.Object
      org.apache.axis2.description.AxisOperationFactory

All Implemented Interfaces:
  WSDLConstants

    public class AxisOperationFactory

extends java.lang.Object
implements WSDLConstants

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.wsdl.WSDLConstants
`WSDLConstants.WSDL11Constants, WSDLConstants.WSDL20_2004_Constants, WSDLConstants.WSDL20_2006Constants`

Field Summary

Fields inherited from interface org.apache.axis2.wsdl.WSDLConstants
`HTTP_HEADER, INPUT_PART_QNAME_SUFFIX, MEP_CONSTANT_IN_ONLY, MEP_CONSTANT_IN_OPTIONAL_OUT, MEP_CONSTANT_IN_OUT, MEP_CONSTANT_INVALID, MEP_CONSTANT_OUT_IN, MEP_CONSTANT_OUT_ONLY, MEP_CONSTANT_OUT_OPTIONAL_IN, MEP_CONSTANT_ROBUST_IN_ONLY, MEP_CONSTANT_ROBUST_OUT_ONLY, MESSAGE_LABEL_FAULT_VALUE, MESSAGE_LABEL_IN, MESSAGE_LABEL_IN_VALUE, MESSAGE_LABEL_OUT, MESSAGE_LABEL_OUT_VALUE, OUTPUT_PART_QNAME_SUFFIX, SOAP_HEADER, STYLE_DOC, STYLE_MSG, STYLE_RPC, WSDL_1_1, WSDL_1_1_STYLE, WSDL_2_0, WSDL_20_DESCRIPTION, WSDL_4_J_DEFINITION, WSDL_MESSAGE_DIRECTION_IN, WSDL_MESSAGE_DIRECTION_OUT, WSDL_MESSAGE_IN_MESSAGE, WSDL_MESSAGE_OUT_MESSAGE, WSDL_USE_ENCODED, WSDL_USE_LITERAL, WSDL1_1_NAMESPACE, WSDL2_0_NAMESPACE`

Constructor Summary
`AxisOperationFactory()`

Method Summary
`static AxisOperation` | `getAxisOperation(int mepURI)`
`static AxisOperation` | `getOperationDescription(java.lang.String mepURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisOperationFactory

    public AxisOperationFactory()

Method Detail

### getAxisOperation

    public static AxisOperation getAxisOperation(int mepURI)
                                          throws AxisFault

  Throws:
    `AxisFault`

### getOperationDescription

    public static AxisOperation getOperationDescription(java.lang.String mepURI)
                                                 throws AxisFault

  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.